petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPFETIDPGetInnerBDDC

Gets the BDDC preconditioner used to setup the FETI-DP matrix for the Lagrange multipliers

### Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPGetInnerBDDC(KSP ksp, PC* pc)

### Input Parameters

| ksp | - the FETI-DP Krylov solver
| pc | - the BDDC preconditioner

### Notes

### See Also

MATIS, PCBDDC, KSPFETIDPSetInnerBDDC, KSPFETIDPGetInnerKSP

### Level

advanced

### Location

src/ksp/ksp/impls/fetidp/fetidp.c

### Implementations

KSPFETIDPGetInnerBDDC_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages